Package Details: scli-git 0.7.3+23.r475.20230516.0239e04-2

Git Clone URL: https://aur.archlinux.org/scli-git.git (read-only, click to copy)
Package Base: scli-git
Description: A simple terminal user interface for Signal, wrapping around 'signal-cli'.
Upstream URL: https://github.com/isamert/scli
Licenses: GPL3
Conflicts: scli
Provides: scli
Submitter: Limero
Maintainer: dreieck
Last Packager: dreieck
Votes: 8
Popularity: 0.26
First Submitted: 2019-01-29 09:01 (UTC)
Last Updated: 2023-08-17 11:04 (UTC)

Dependencies (9)

Required by (0)

Sources (1)

Latest Comments

dreieck commented on 2023-08-17 11:03 (UTC)

Adopted the package and fixed the issues mentioned since 2020-12-27.

dreieck commented on 2023-08-17 11:02 (UTC)

Architecture must be any.

dreieck commented on 2023-08-17 10:49 (UTC)

scli link fails with

ERROR: `pyqrcode` module not found. Please install it with `pip install pyqrcode`

You need to add python-pyqrcode as dependency.

Thanks for maintaining!

dreieck commented on 2023-08-17 10:47 (UTC)

Please add python-urwid_readline as optional dependency.

dreieck commented on 2023-08-17 10:45 (UTC)

Please use the parsed(!) output from git describe --tags as the first part of $pkgver, to include the official upstream package version.

dreieck commented on 2023-08-17 10:43 (UTC)

Issue has already been commented on 2022-03-17 and 2023-01-29, but not yet reacted upon:

Please change source download protocol from git+git:// to git+https://. This is needed due to changes at github.com. Source download fails as it is currently.

binarious commented on 2023-01-29 17:30 (UTC)

@Limero can you change the repository url from source=("${pkgname%-*}::git+git://github.com/isamert/${pkgname%-*}.git") to source=("${pkgname%-*}::git+https://github.com/isamert/${pkgname%-*}.git"), please?

freed00m commented on 2022-03-17 15:07 (UTC)

I think the source should be moved from git protocol for github, https is fine.

$ /usr/bin/git ls-remote git://github.com/isamert/scli.git HEAD

fatal: remote error: 
  The unauthenticated git protocol on port 9418 is no longer supported.
Please see https://github.blog/2021-09-01-improving-git-protocol-security-github/ for more information.

acmiudhg commented on 2020-12-27 19:06 (UTC)

Suggesting python-urwid_readline (as per readme.md) and xclip (for clipboard features) as optional dependencies